;;**********************************************************************
; <str_mpwh.s>
;					a
;	shio
;;**********************************************************************

	.file		"str_mpwh.s"

	.include	"adlcmn.seq"
	.include	"mpwh_res.seq"
	.include	"string.seq"

	.section	"mblock",.text>MPWH_MBLOCK_TOP
;
;
 .if ROM_APPLICATION
block_top:
	.data.b	BLOCK_HEADER_MARK
	.sdata	"MPWHDM00JPN"
	.data.b	B'00000001			; block atr
	.data.w	0				; block time
	.data.w 0				; block date
	.data.l	block_end-block_top		; block size
	.data.w	0				; block id
	.data.l	block_end-block_top		; free ptr top
	.data.l	block_end-block_top		; free ptr bottom
	.data.l	0
	.data.l	0
 .endif
;
;
file_top:
	.data.b	H'0ff
	.data.b	0
	.data.b	FILE_ID_MSG			;file id
	.data.b	RES_FVER_CRIMSON		;file version
;
;
res_tbl_top1:
	.data.w	id_top-file_top	; message tbl ptr

;id_no
	.data.w	40000
	.data.w	40000+id_max_no-1
;
;
id_top:
	.data.l	mpwhStr-file_top
	.data.l	GrapgStr-file_top
	.data.l	HideiriStr-file_top
	.data.l	TuskiStr-file_top
	.data.l	ManchoStr-file_top
	.data.l	Kancho-file_top
	.data.l	YamatoStr-file_top
	.data.l	HelpStr-file_top
	.data.l	TokyoStr-file_top
	.data.l	NagasakiStr-file_top
	.data.l	KagosimaStr-file_top
	.data.l	KochiStr-file_top
	.data.l	TakamatsuStr-file_top
	.data.l	ShimonosekiStr-file_top
	.data.l	HiroshimaStr-file_top
	.data.l	KobeStr-file_top
	.data.l	TsurugaStr-file_top
	.data.l	NagoyaStr-file_top
	.data.l	NiigataStr-file_top
	.data.l	YokohamaStr-file_top
	.data.l	CyoshiStr-file_top
	.data.l	IshinomakiStr-file_top
	.data.l	HakodateStr-file_top
	.data.l	MuroranStr-file_top
	.data.l	KushiroStr-file_top
	.data.l	NahaStr-file_top
	.data.l	FukuokaStr-file_top
	.data.l	OsakaStr-file_top
	.data.l	KyotoStr-file_top
	.data.l	KanazawaStr-file_top
	.data.l	NaganoStr-file_top
	.data.l	SendaiStr-file_top
	.data.l	OgasawaraStr-file_top
	.data.l	SapporoStr-file_top
	.data.l	TottoriStr-file_top
	.data.l	WakayamaStr-file_top
	.data.l	KushimotoStr-file_top
	.data.l	WakkanaiStr-file_top
	.data.l	AbashiriStr-file_top
	.data.l	OtaruStr-file_top
	.data.l	AomoriStr-file_top
	.data.l	AkitaStr-file_top
	.data.l	SakataStr-file_top
	.data.l	MoriokaStr-file_top
	.data.l	YamagataStr-file_top
	.data.l	FukushimaStr-file_top
	.data.l	ToyamaStr-file_top
	.data.l	FukuiStr-file_top
	.data.l	MaiduruStr-file_top
	.data.l	GifuStr-file_top
	.data.l	HagiStr-file_top
	.data.l	ItoStr-file_top
	.data.l	TateyanmaStr-file_top
	.data.l	ShizuokaStr-file_top
	.data.l	MatsuyamaStr-file_top
	.data.l	OitaStr-file_top
	.data.l	KumamotoStr-file_top
	.data.l	MiyazakiStr-file_top
	.data.l	MoyoStr-file_top
	.data.l	HaikeiStr-file_top
	.data.l	DofunStr-file_top
id_end:

id_max_no	.equ	61
;
;
mpwhStr:
	.data.w	GrapgStr-mpwhStr-2
	.sdataz	"g2.3 (TIDE for Zaurus)"
;
GrapgStr:
	.data.w	HideiriStr-GrapgStr-2
	.sdataz	"ɂ񂱐搶"
;
HideiriStr:
	.data.w	TuskiStr-HideiriStr-2
	.sdataz	"o"
;
TuskiStr:
	.data.w	ManchoStr-TuskiStr-2
	.sdataz	"o"
;
ManchoStr:
	.data.w	Kancho-ManchoStr-2
	.sdataz	"  "
;
Kancho:
	.data.w	YamatoStr-Kancho-2
	.sdataz	"@"
;
YamatoStr:
	.data.w	HelpStr-YamatoStr-2
	.sdataz	"2003.01.10 a"
;
HelpStr:
	.data.w	TokyoStr-HelpStr-2
	.sdataz	"n}"
;
TokyoStr:
	.data.w	NagasakiStr-TokyoStr-2
	.sdataz	""
;
NagasakiStr:
	.data.w	KagosimaStr-NagasakiStr-2
	.sdataz	""
;
KagosimaStr:
	.data.w	KochiStr-KagosimaStr-2
	.sdataz	""
;
KochiStr:
	.data.w	TakamatsuStr-KochiStr-2
	.sdataz	"m"
;
TakamatsuStr:
	.data.w	ShimonosekiStr-TakamatsuStr-2
	.sdataz	""
;
ShimonosekiStr:
	.data.w	HiroshimaStr-ShimonosekiStr-2
	.sdataz	""
;
HiroshimaStr:
	.data.w	KobeStr-HiroshimaStr-2
	.sdataz	"L"
;
KobeStr:
	.data.w	TsurugaStr-KobeStr-2
	.sdataz	"_"
;
TsurugaStr:
	.data.w	NagoyaStr-TsurugaStr-2
	.sdataz	"։"
;
NagoyaStr:
	.data.w	NiigataStr-NagoyaStr-2
	.sdataz	"É"
;
NiigataStr:
	.data.w	YokohamaStr-NiigataStr-2
	.sdataz	"V"
;
YokohamaStr:
	.data.w	CyoshiStr-YokohamaStr-2
	.sdataz	"l"
;
CyoshiStr:
	.data.w	IshinomakiStr-CyoshiStr-2
	.sdataz	"q"
;
IshinomakiStr:
	.data.w	HakodateStr-IshinomakiStr-2
	.sdataz	"Ί"
;
HakodateStr:
	.data.w	MuroranStr-HakodateStr-2
	.sdataz	""
;
MuroranStr:
	.data.w	KushiroStr-MuroranStr-2
	.sdataz	""
;
KushiroStr:
	.data.w	NahaStr-KushiroStr-2
	.sdataz	"H"
;
NahaStr:
	.data.w	FukuokaStr-NahaStr-2
	.sdataz	"ߔe"
;
FukuokaStr:
	.data.w	OsakaStr-FukuokaStr-2
	.sdataz	""
;
OsakaStr:
	.data.w	KyotoStr-OsakaStr-2
	.sdataz	""
;
KyotoStr:
	.data.w	KanazawaStr-KyotoStr-2
	.sdataz	"s"
;
KanazawaStr:
	.data.w	NaganoStr-KanazawaStr-2
	.sdataz	""
;
NaganoStr:
	.data.w	SendaiStr-NaganoStr-2
	.sdataz	""
;
SendaiStr:
	.data.w	OgasawaraStr-SendaiStr-2
	.sdataz	""
;
OgasawaraStr:
	.data.w	SapporoStr-OgasawaraStr-2
	.sdataz	""
;
SapporoStr:
	.data.w	TottoriStr-SapporoStr-2
	.sdataz	"Dy"
;
TottoriStr:
	.data.w	WakayamaStr-TottoriStr-2
	.sdataz	""
;
WakayamaStr:
	.data.w	KushimotoStr-WakayamaStr-2
	.sdataz	"a̎R"
;
KushimotoStr:
	.data.w	WakkanaiStr-KushimotoStr-2
	.sdataz	"{"
;
WakkanaiStr:
	.data.w	AbashiriStr-WakkanaiStr-2
	.sdataz	"t"
;
AbashiriStr:
	.data.w	OtaruStr-AbashiriStr-2
	.sdataz	"ԑ"
;
OtaruStr:
	.data.w	AomoriStr-OtaruStr-2
	.sdataz	"M"
;
AomoriStr:
	.data.w	AkitaStr-AomoriStr-2
	.sdataz	"X"
;
AkitaStr:
	.data.w	SakataStr-AkitaStr-2
	.sdataz	"Hc"
;
SakataStr:
	.data.w	MoriokaStr-SakataStr-2
	.sdataz	"c"
;
MoriokaStr:
	.data.w	YamagataStr-MoriokaStr-2
	.sdataz	""
;
YamagataStr:
	.data.w	FukushimaStr-YamagataStr-2
	.sdataz	"R`"
;
FukushimaStr:
	.data.w	ToyamaStr-FukushimaStr-2
	.sdataz	""
;
ToyamaStr:
	.data.w	FukuiStr-ToyamaStr-2
	.sdataz	"xR"
;
FukuiStr:
	.data.w	MaiduruStr-FukuiStr-2
	.sdataz	""
;
MaiduruStr:
	.data.w	GifuStr-MaiduruStr-2
	.sdataz	""
;
GifuStr:
	.data.w	HagiStr-GifuStr-2
	.sdataz	""
;
HagiStr:
	.data.w	ItoStr-HagiStr-2
	.sdataz	""
;
ItoStr:
	.data.w	TateyanmaStr-ItoStr-2
	.sdataz	"ɓ"
;
TateyanmaStr:
	.data.w	ShizuokaStr-TateyanmaStr-2
	.sdataz	"َR"
;
ShizuokaStr:
	.data.w	MatsuyamaStr-ShizuokaStr-2
	.sdataz	"É"
;
MatsuyamaStr:
	.data.w	OitaStr-MatsuyamaStr-2
	.sdataz	"R"
;
OitaStr:
	.data.w	KumamotoStr-OitaStr-2
	.sdataz	"啪"
;
KumamotoStr:
	.data.w	MiyazakiStr-KumamotoStr-2
	.sdataz	"F{"
;
MiyazakiStr:
	.data.w	MoyoStr-MiyazakiStr-2
	.sdataz	"{"
;
MoyoStr:
	.data.w	HaikeiStr-MoyoStr-2
	.sdataz	"͗l"
;
HaikeiStr:
	.data.w	DofunStr-HaikeiStr-2
	.sdataz	"wF"
;
DofunStr:
	.data.w	data_end-DofunStr-2
	.sdataz	"  B ."
;
data_end:

;
;

	.align	h'10

block_end:

	.end
